分类: MySQL

MySQL5.7关闭密码强度检查Password Validation Plugin Options and Variables

MySQL5.7在新增加用户或设置密码的时候报错“ERROR 1819 (HY000): Your password does not satisfy the current policy requirements”,这是因为MySQL 5.7 密码强度,必须含有0-9,a-z,A-Z以及“-”或“_”符号,可在my.cnf的mysqld中加入

validate-password = off

最后重启mysql服务即可;

动态设置

set global validate_password_length = 4;
SET GLOBAL validate_password_number_count = 0;

无需重启服务,也可以使用简单密码,(5.7.x一些低版本中可以,如不能动态设置,只能重启下服务了·)
使用SHOW VARIABLES LIKE 'validate_password%' 查看validate_password参数
validate_password插件是MySQL5.7是默认安装的;

官方文档:https://dev.mysql.com/doc/refman/5.7/en/validate-password-options-variables.html

相关文章

发表新评论